<?php

$myds = array();
for ($i = 1; $i <= count($DS); $i++) {$myds[$NAME[$i]] = $i;}

$i = 0;
$ds_name[$i] = "pswpin/out";
$opt[$i] = " --vertical-label \"pages/s\" -E -b 1000 --title \"Swap activity for $hostname\" ";
$def[$i] = rrd::hrule("0", "#a0a0a0");

$def[$i] .= rrd::def("swapin", $RRDFILE[$myds['pswpin']], $DS[$myds['pswpin']], "AVERAGE");
$def[$i] .= rrd::gradient("swapin", '#efffef', '#008000', "swapin  ");
$def[$i] .= rrd::gprint("swapin", array("LAST", "AVERAGE", "MAX"), "%7.2lf pg/s");

$def[$i] .= rrd::def("rswapout", $RRDFILE[$myds['pswpout']], $DS[$myds['pswpout']], "AVERAGE");
$def[$i] .= rrd::cdef("swapout", "rswapout,-1,*");
$def[$i] .= rrd::gradient("swapout", '#ffefef', '#ff00a0', "swapout ");
$def[$i] .= rrd::gprint("rswapout", array("LAST", "AVERAGE", "MAX"), "%7.2lf pg/s");

if ($WARN[$myds['pswpout']] > 0 && $CRIT[$myds['pswpout']] > 0) {
	$def[$i] .= rrd::hrule(-$WARN[$myds['pswpout']], "#ffff00");
	$def[$i] .= rrd::hrule(-$CRIT[$myds['pswpout']], "#ff0000");

}

$i++;
$ds_name[$i] = "pgmajfault";
$opt[$i] = " --vertical-label \"majpgfaults/s\" -E -b 1000 --title \"major page faults for $hostname\" ";
$def[$i] = "";

$def[$i] .= rrd::def("pgmajfault", $RRDFILE[$myds['pgmajfault']], $DS[$myds['pgmajfault']], "AVERAGE");
$def[$i] .= rrd::gradient("pgmajfault", '#ffefef', '#ff00a0', "major page faults");
$def[$i] .= rrd::gprint("pgmajfault", array("LAST", "AVERAGE", "MAX"), "%7.2lf pf/s");

if ($WARN[$myds['pgmajfault']] > 0 && $CRIT[$myds['pgmajfault']] > 0) {
	$def[$i] .= rrd::hrule($WARN[$myds['pgmajfault']], "#ffff00");
	$def[$i] .= rrd::hrule($CRIT[$myds['pgmajfault']], "#ff0000");

}

?>
